package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TVideoManager;

/**
 * 视频管理Mapper接口
 * 
 * @author zehong
 * @date 2021-09-18
 */
public interface TVideoManagerMapper 
{
    /**
     * 查询视频管理
     * 
     * @param videoManagerId 视频管理ID
     * @return 视频管理
     */
    public TVideoManager selectTVideoManagerById(String videoManagerId);

    /**
     * 查询视频管理列表
     * 
     * @param tVideoManager 视频管理
     * @return 视频管理集合
     */
    public List<TVideoManager> selectTVideoManagerList(TVideoManager tVideoManager);

    /**
     * 新增视频管理
     * 
     * @param tVideoManager 视频管理
     * @return 结果
     */
    public int insertTVideoManager(TVideoManager tVideoManager);

    /**
     * 修改视频管理
     * 
     * @param tVideoManager 视频管理
     * @return 结果
     */
    public int updateTVideoManager(TVideoManager tVideoManager);

    /**
     * 删除视频管理
     * 
     * @param videoManagerId 视频管理ID
     * @return 结果
     */
    public int deleteTVideoManagerById(String videoManagerId);

    /**
     * 批量删除视频管理
     * 
     * @param videoManagerIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTVideoManagerByIds(String[] videoManagerIds);
}
